package it.integry.integrywmsnative.gest.pv_ordine_acquisto_edit.dto;

import java.math.BigDecimal;
import java.util.Date;

import it.integry.integrywmsnative.core.utility.UtilityDate;

public class ArtDTO {
    private Integer rigaOrd;

    private String codMart;

    private String barcode;

    private String descrizione;

    private String dataIns;

    private String untMis;

    private BigDecimal qta;

    private BigDecimal qtaCnf;

    private BigDecimal colli;

    private String partitaMag;

    private String dataScad;

    private String systemNote;

    public Integer getRigaOrd() {
        return rigaOrd;
    }

    public void setRigaOrd(Integer rigaOrd) {
        this.rigaOrd = rigaOrd;
    }

    public String getCodMart() {
        return codMart;
    }

    public void setCodMart(String codMart) {
        this.codMart = codMart;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public void setDescrizione(String descrizione) {
        this.descrizione = descrizione;
    }

    public String getDataIns() {
        return dataIns;
    }

    public Date getDataInsD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataIns());
    }

    public void setDataIns(String dataIns) {
        this.dataIns = dataIns;
    }

    public void setDataInsD(Date dataIns) {
        setDataIns(UtilityDate.formatDate(dataIns, UtilityDate.COMMONS_DATE_FORMATS.DMY_TIME_SLASH));
    }


    public String getUntMis() {
        return untMis;
    }

    public void setUntMis(String untMis) {
        this.untMis = untMis;
    }

    public BigDecimal getQta() {
        return qta;
    }

    public void setQta(BigDecimal qta) {
        this.qta = qta;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public void setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
    }

    public BigDecimal getColli() {
        return colli;
    }

    public void setColli(BigDecimal colli) {
        this.colli = colli;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public void setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
    }

    public String getDataScad() {
        return dataScad;
    }

    public void setDataScad(String dataScad) {
        this.dataScad = dataScad;
    }

    public Date getDataScadD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataScad());
    }

    public void setDataScadD(Date dataScad) {
        setDataScad(UtilityDate.formatDate(dataScad, UtilityDate.COMMONS_DATE_FORMATS.DMY_TIME_SLASH));
    }

    public String getSystemNote() {
        return systemNote;
    }

    public ArtDTO setSystemNote(String systemNote) {
        this.systemNote = systemNote;
        return this;
    }
}
